<?php
/**
 * @package	Website Security
 * @copyright	Copyright (C) 2018 SiteGuarding.com. All rights reserved.
 * @GNU General Public License
 */
 
defined( '_JEXEC' ) or die;

error_reporting(0);
ini_set("display_errors", "Off");


if (!defined('SGWS_SITE_ROOT')) define('SGWS_SITE_ROOT', JPATH_ROOT . DIRECTORY_SEPARATOR);

$sgws_component_dir = dirname(__FILE__).DIRECTORY_SEPARATOR;
if (!defined('SGWS_TOOLS_FILE')) define('SGWS_TOOLS_FILE', $sgws_component_dir . 'siteguarding_tools.php');

JToolBarHelper::title( JText::_( 'Website Security' ));

$document = JFactory::getDocument();


$app = JFactory::getApplication();


$autologin_config = SGWS_SITE_ROOT.DIRECTORY_SEPARATOR.'webanalyze'.DIRECTORY_SEPARATOR.'website-security-conf.php';
if (file_exists($autologin_config)) include_once($autologin_config);

$domain = JURI::root();


$success = sgws_check_file();
if ($success) 
{
	if (defined('WEBSITE_SECURITY_AUTOLOGIN'))
	{
		// file exists
		?>
		<form action="https://www.siteguarding.com/index.php" method="post">
		
		<p style="text-align: center;">
		<img style="width: 500px;margin: 20px 0;" src="<?php echo JURI::root() . DIRECTORY_SEPARATOR . 'administrator' . DIRECTORY_SEPARATOR . 'components' . DIRECTORY_SEPARATOR .  'com_websecurity' . DIRECTORY_SEPARATOR . 'images' . DIRECTORY_SEPARATOR . 'logo_siteguarding.svg'; ?>" />
		</p>
		<p style="text-align: center; font-size: 19px;">Use SiteGuarding dashboard to manage security services of your website</p>

		<p style="text-align: center"><br>
			<input class="btn btn-success" type="submit" value="Security Dashboard" />
		</p>

		<input type="hidden" name="option" value="com_securapp" />
		<input type="hidden" name="autologin_key" value="<?php echo WEBSITE_SECURITY_AUTOLOGIN; ?>" />
		<input type="hidden" name="website_url" value="<?php echo $domain; ?>" />
		<input type="hidden" name="task" value="Panel_autologin" />
		</form>
		<?php
	}
	else {
		// Need to register the website
		?>
		<p style="text-align: center;">
		<img style="width: 500px;margin: 20px 0;" src="<?php echo JURI::root() . DIRECTORY_SEPARATOR . 'administrator' . DIRECTORY_SEPARATOR . 'components' . DIRECTORY_SEPARATOR .  'com_websecurity' . DIRECTORY_SEPARATOR . 'images' . DIRECTORY_SEPARATOR . 'logo_siteguarding.svg'; ?>" />
		</p>
		<p style="text-align: center; font-size: 19px;">One more step to protect your website.</p>
		<p style="text-align: center; font-size: 15px;">
		Please go to <a href="https://www.siteguarding.com/en/login">SiteGuarding.com</a> login to the account and add your website.
		</p>
		<p style="text-align: center;"><br>
		<a class="btn btn-success" href="https://www.siteguarding.com/en/login">CLICK TO LOGIN</a>
		</p>
		<?php
	}

} else {
	echo '<p style="color:red"><b>The file does not exist or corrupted. Could not to overwrite it. Please reinstall plugin from <a target="_blank" href="https://www.siteguarding.com">https://www.siteguarding.com</a></b></p>';
}


function sgws_check_file() {
	
	$folder = SGWS_SITE_ROOT.DIRECTORY_SEPARATOR.'webanalyze';
	if (!file_exists($folder)) mkdir($folder);
	
	$tools_file = SGWS_SITE_ROOT.'siteguarding_tools.php';
	if (!is_file($tools_file) || md5_file($tools_file) !== md5_file(SGWS_TOOLS_FILE)) copy(SGWS_TOOLS_FILE, $tools_file);
	return (is_file($tools_file) && md5_file($tools_file) === md5_file(SGWS_TOOLS_FILE));
	
}


?>
